%define plugdir %(xmms-config --output-plugin-dir 2>/dev/null)

Name:           xmms-crossfade
Version:        0.3.8
Release:        0.fdr.1.rh90
Epoch:          0
Summary:        A crossfade output plugin for XMMS

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.eisenlohr.org/xmms-crossfade/
Source0:        http://www.eisenlohr.org/xmms-crossfade/xmms-crossfade-0.3.8.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xmms-devel
BuildRequires:  gtk+-devel
BuildRequires:  libsamplerate-devel
Requires:       xmms

%description
A plugin for XMMS featuring crossfading, continuous output between
songs and a gap-killer.


%prep
%setup -q


%build
%configure --libdir=%{plugdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=$RPM_BUILD_ROOT%{plugdir}
rm -f $RPM_BUILD_ROOT%{plugdir}/libcrossfade.la


%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README TODO
%{plugdir}/*


%changelog
* Sat Sep 25 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.8-0.fdr.1
- Updated to 0.3.8.

* Sun Sep 19 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.6-0.fdr.1
- Updated to 0.3.6.
- Added libsamplerate-devel buildreq.

* Sat Aug 21 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.5-0.fdr.1
- Updated to 0.3.5.
- Updated URL.

* Wed Oct  8 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.4-0.fdr.1
- Updated to 0.3.4.
- Removed comment lines.

* Tue Jun  3 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.2-0.fdr.2
- Removed superfluous glib-devel BuildRequires.

* Fri May 30 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.2-0.fdr.1
- Initial Fedora RPM.
